org.appng.xml.platform

## Class ApplicationReference

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.ApplicationReference

- All Implemented Interfaces:
    Serializable

      public class ApplicationReference
      extends BaseObject
      implements Serializable

  The application, as part of the platform's content.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ApplicationConfig` | `config`
    `protected String` | `id`
    `protected PagesReference` | `pages`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationReference()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationConfig` | `getConfig()` Gets the value of the config property.
    `String` | `getId()` The id (aka the name) of the application.
    `PagesReference` | `getPages()` Gets the value of the pages property.
    `String` | `getVersion()` Gets the value of the version property.
    `void` | `setConfig(ApplicationConfig value)` Sets the value of the config property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setPages(PagesReference value)` Sets the value of the pages property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected ApplicationConfig config

    - #### pages

          protected PagesReference pages

    - #### id

          protected String id

    - #### version

          protected String version

  - ### Constructor Detail

    - #### ApplicationReference

          public ApplicationReference()

  - ### Method Detail

    - #### getConfig

          public ApplicationConfig getConfig()

      Gets the value of the config property.
      Returns:
        possible object is `ApplicationConfig`

    - #### setConfig

          public void setConfig(ApplicationConfig value)

      Sets the value of the config property.
      Parameters:
        `value` - allowed object is `ApplicationConfig`

    - #### getPages

          public PagesReference getPages()

      Gets the value of the pages property.
      Returns:
        possible object is `PagesReference`

    - #### setPages

          public void setPages(PagesReference value)

      Sets the value of the pages property.
      Parameters:
        `value` - allowed object is `PagesReference`

    - #### getId

          public String getId()

      The id (aka the name) of the application.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.